%global snap 20210910
 
Summary: The NetBSD Editline library
Name: libedit
Version: 3.1
Release: 4.%{snap}cvs%{?dist}
License: BSD
URL: https://www.thrysoee.dk/editline/
Source0: https://www.thrysoee.dk/editline/%{name}-%{snap}-%{version}.tar.gz
Patch3000: libedit-strlcat.patch

BuildRequires: gcc groff-base make ncurses-devel	

%description
Libedit is an autotool- and libtoolized port of the NetBSD Editline library.
It provides generic line editing, history, and tokenization functions, similar
to those found in GNU Readline.

%package devel
Summary:	Development files for libedit
Requires:	libedit = %{version}-%{release}
Requires:	ncurses-devel

%description devel
This package contains development files for libedit.

%prep
%autosetup -n libedit-%{snap}-%{version} -p0

# Fix unused direct shared library dependencies.
sed -i "s/lncurses/ltinfo/" configure

%build
%configure --disable-static --disable-silent-rules
%make_build

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete

rm -f %{buildroot}%{_mandir}/man3/history.3*

%files
%license COPYING
%doc ChangeLog THANKS
%{_libdir}/%{name}.so.0
%{_libdir}/%{name}.so.0.*
%{_mandir}/man5/editrc.5*

%files devel
%doc examples/fileman.c examples/tc1.c examples/wtc1.c
%{_includedir}/histedit.h
%{_includedir}/editline/readline.h
%dir %{_includedir}/editline
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man3/*
%{_mandir}/man7/*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1-4.20210910cvs
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1-3.20210910cvs
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1-2.20210910cvs
- Rebuilt for OpenCloudOS Stream 23

* Fri Jul 08 2022 Wang Zhe <bessiewang@tencent.com> - 3.1-1
- initial build
